UberspectImpl.FieldPropertySet (Commons JEXL 2.0.1 API)
Keywords: org.apache.commons.jexl2.introspection.UberspectImpl.FieldPropertySet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl2.introspection
Class UberspectImpl.FieldPropertySet

    java.lang.Object
      org.apache.commons.jexl2.introspection.UberspectImpl.FieldPropertySet

All Implemented Interfaces:
  JexlPropertySet

Enclosing class:
  UberspectImpl

    public static final class UberspectImpl.FieldPropertySet

extends java.lang.Object
implements JexlPropertySet

A JexlPropertySet for public fields.

Constructor Summary
`UberspectImpl.FieldPropertySet(java.lang.reflect.Field theField)` Creates a new instance of FieldPropertySet.

Method Summary
`java.lang.Object` | `invoke(java.lang.Object obj, java.lang.Object arg)` Method used to set the property value of an object.
`boolean` | `isCacheable()` Specifies if this JexlPropertySet is cacheable and able to be reused for this class of object it was returned for.
`boolean` | `tryFailed(java.lang.Object rval)` Checks whether a tryInvoke failed or not.
`java.lang.Object` | `tryInvoke(java.lang.Object obj, java.lang.Object key, java.lang.Object value)` Attempts to reuse this JexlPropertySet, checking that it is compatible with the actual set of arguments.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UberspectImpl.FieldPropertySet

    public UberspectImpl.FieldPropertySet(java.lang.reflect.Field theField)

  Creates a new instance of FieldPropertySet.

  Parameters:
    `theField` - the class public field

Method Detail

### invoke

    public java.lang.Object invoke(java.lang.Object obj,
                                   java.lang.Object arg)
                            throws java.lang.Exception

  Method used to set the property value of an object.

  Specified by:
    `invoke` in interface `JexlPropertySet`
  Parameters:
    `obj` - Object on which the property setter will be called with the value
    `arg` - value to be set
  Returns:
    the value returned from the set operation (impl specific)
  Throws:
    `java.lang.Exception` - on any error.

### tryInvoke

    public java.lang.Object tryInvoke(java.lang.Object obj,
                                      java.lang.Object key,
                                      java.lang.Object value)

  Attempts to reuse this JexlPropertySet, checking that it is compatible with the actual set of arguments.

  Specified by:
    `tryInvoke` in interface `JexlPropertySet`
  Parameters:
    `obj` - the object to invoke the the get upon
    `key` - the property key to get
    `value` - the property value to set
  Returns:
    the result of the method invocation that should be checked by tryFailed to determine if it succeeded or failed.

### tryFailed

    public boolean tryFailed(java.lang.Object rval)

  Checks whether a tryInvoke failed or not.

  Specified by:
    `tryFailed` in interface `JexlPropertySet`
  Parameters:
    `rval` - the value returned by tryInvoke
  Returns:
    true if tryInvoke failed, false otherwise

### isCacheable

    public boolean isCacheable()

  Specifies if this JexlPropertySet is cacheable and able to be reused for this class of object it was returned for.

  Specified by:
    `isCacheable` in interface `JexlPropertySet`
  Returns:
    true if can be reused for this class, false if not

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.